<?php

namespace OCA\DemoOrganizationProvider\AppInfo;

use OCP\AppFramework\App;
use OCP\AppFramework\Bootstrap\IBootstrap;
use OCP\AppFramework\Bootstrap\IRegistrationContext;
use OCP\AppFramework\Bootstrap\IBootContext;

use OCA\OrganizationFolders\Events\RegisterOrganizationProviderEvent;

use OCA\DemoOrganizationProvider\Listener\RegisterOrganizationProviderListener;

class Application extends App implements IBootstrap {
	public const APP_ID = 'demo_organization_provider';

	public function __construct() {
		parent::__construct(self::APP_ID);
	}

	public function register(IRegistrationContext $context): void {
		$context->registerEventListener(RegisterOrganizationProviderEvent::class, RegisterOrganizationProviderListener::class);
	}

	public function boot(IBootContext $context): void {
	}

}